QGIS Application - Bug report #15395
QGIS 2.16 adding certain WFS failed
2016-08-05 04:35 AM - Niels Gerrits

Status: Closed

Priority: Normal

Assignee: Even Rouault

Category: Web Services clients/WFS

Affected QGIS version:2.16.1 Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 23325
Description

First bug report on here so please be gentle...

After switching from 2.14.1 to 2.16.1 adding layers from a certain WFS results in an error, example is with version 1.0.0 forced:

Layer is not valid: The layer srsname="EPSG:28992' typename="app:Bouwvlak'
url="http://afnemers.ruimtelijkeplannen.nl/afnemers2012/services?' version='1.0.0' table=

sql=is not a valid layer and can not be added
to the map

QGIS WFS log:

Analysis of DescribeFeature Type response failed for url srsname="EPSG:28992' typename="app:Bouwvlak’

url="http://afnemers.ruimtelijkeplannen.nl/afnemers2012/services?"' version="'1.0.0' table="" sql=: Cannot find element 'Bouwvlak’
Guess the problem is in parsing the DescribeFeatureType response, but | do find the element 'Bouwvlak'.

| wrote a bigger article on GIS SE but not sure | should drop it in here as well.
http://gis.stackexchange.com/questions/205926/qgis-2-16-adding-certain-wfs-failed?noredirect=1#comment312533 205926

History

#1 - 2016-08-08 06:11 AM - Even Rouault

- Assignee set to Even Rouault
#2 - 2016-08-08 06:44 AM - Even Rouault
- Resolution set to fixed/implemented

- % Done changed from 0 to 100
- Status changed from Open to Closed

Fixed per commit:4bcbc1e (and backported in master_2 in commit:f17f6ac, and in release-2_16 commit:a0e3e76)
